Package org.apache.sling.commons.crypto

# Interface SecretKeyProvider

All Known Implementing Classes:
  `PbeSecretKeyProvider`

@ProviderType public interface SecretKeyProvider
Provider of secret keys for encryption and decryption.

See Also:
  - `SecretKey`

## Method Summary

Modifier and Type
Method
Description
`@NotNull SecretKey`
`getSecretKey()`
Provides the secret key.

## Method Details

### getSecretKey

@NotNull @NotNull SecretKey getSecretKey()
Provides the secret key.

Returns:
  The secret key